""":term:`API` routes for adding existing products to the database."""

from fastapi import Depends
from fastapi.routing import APIRouter

from gso.api.v1.imports.iptrunk import router as iptrunk_router
from gso.api.v1.imports.office_router import router as office_router_router
from gso.api.v1.imports.router import router as router_router
from gso.api.v1.imports.site import router as site_router
from gso.api.v1.imports.super_pop_switch import router as super_pop_switch_router
from gso.auth.security import opa_security_default

api_router = APIRouter(prefix="/imports", tags=["Imports"], dependencies=[Depends(opa_security_default)])

api_router.include_router(iptrunk_router)
api_router.include_router(office_router_router)
api_router.include_router(router_router)
api_router.include_router(site_router)
api_router.include_router(super_pop_switch_router)
