"""remove subscription cancellation workflow.

Revision ID: 4ec89ab289c0
Revises:
Create Date: 2024-03-27 10:21:08.539591

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '4ec89ab289c0'
down_revision = '734e36a3e70b'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

old_workflows = [
    {
        "name": "cancel_subscription",
        "target": "TERMINATE",
        "description": "Cancel a subscription",
        "product_type": "Iptrunk"
    },
    {
        "name": "cancel_subscription",
        "target": "TERMINATE",
        "description": "Cancel a subscription",
        "product_type": "Router"
    },
    {
        "name": "cancel_subscription",
        "target": "TERMINATE",
        "description": "Cancel a subscription",
        "product_type": "Site"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in old_workflows:
        delete_workflow(conn, workflow["name"])


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in old_workflows:
        create_workflow(conn, workflow)
